<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetProperty Method (IEdmCmdNode)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCmdNode Interface : GetProperty Method (IEdmCmdNode)

Visual Basic
C#
C++/CLI

eProperty
  Type of property to retrieve as defined in EdmCmdNodeProp

oArg
  Null; reserved for future use

Gets the specified property for the file changing state.

# Syntax

Visual Basic |
--- | ---

    Function GetProperty( _
       ByVal eProperty As EdmCmdNodeProp, _
       Optional ByVal oArg As System.Object _
    ) As System.Object

C# |
--- | ---

    System.object GetProperty(
       EdmCmdNodeProp eProperty,
       System.object oArg
    )

C++/CLI |
--- | ---

    System.Object^ GetProperty(
    &   EdmCmdNodeProp eProperty,
    &   System.Object^ oArg
    )

#### Parameters

eProperty
  Type of property to retrieve as defined in EdmCmdNodeProp
oArg
  Null; reserved for future use

#### Return Value

Property value

# Example

See the IEdmCmdNode examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCmdNode Interface
IEdmCmdNode Members

# Availability

SOLIDWORKS PDM Professional 2011